Subject: Re: [Emu] Erik Kline's No Objection on draft-ietf-emu-eap-noob-04: (with COMMENT)

From: Mohit Sethi M <[email-masked]>
Date: Fri, 16 Jul 2021 09:32:47 +0000

Hi Erik,

Thanks for the review. Answers below.

--Mohit

On 4/19/21 1:32 AM, Erik Kline via Datatracker wrote:
> Erik Kline has entered the following ballot position for
> draft-ietf-emu-eap-noob-04: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer tohttps://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-emu-eap-noob/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> [ section 2 ]
>
> * Do you want to use the 8174 language instead of the 2119 version?
Fixed.
> [ section 5.6 ]
>
> * For eap-noob.arpa (or noob.eap.arpa or whatever), even though
>    Application Software, Name Resolution APIs and Libraries, and
>    Caching DNS Servers are "not expected to recognize this domain
>    name as special", there is no harm if they do recognize it and
>    short circuit any resolution attempts, yes?
Earlier versions of the draft were using a different domain name 
(eap-noob.net 
:https://datatracker.ietf.org/doc/html/draft-aura-eap-noob-07#section-4.4). 
Back then, we had added section 5.6 and required authoritative DNS 
Servers to respond with NXDOMAIN. The working group later came to a 
consensus that such individual domain names are not ideal and we should 
instead reserve a special use domain under .arpa. Thus, the requirement 
for responding with NXDOMAIN is no longer needed and section 5.6 is 
redundant. We have now removed the section in latest draft: 
https://datatracker.ietf.org/doc/html/draft-ietf-emu-eap-noob-05.
> _______________________________________________
> Emu mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/emu

---

From: Erik Kline <[email-masked]>
Date: Tue, 20 Jul 2021 18:01:48 -0700

Thanks!